Bug 603031 - Fix for timeout when connecting to wireless network.
Fix for timeout when connecting to wireless network.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 07:03 EDT by Roy Dragseth
Modified: 2012-08-16 13:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:55:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roy Dragseth 2010-06-11 07:03:10 EDT
Description of problem:

We (me and some colleagues) have had repeated problems connecting to the eduroam network (www.eduroam.org).  After some digging we have found that it is a timout issue that can be easily resolved with a parameter change in wpa_supplicant.  The solution was found in a ubuntu forum:

http://ubuntuforums.org/showthread.php?t=1071119

Version-Release number of selected component (if applicable):
Fedora 12

wpa_supplicant-0.6.8-8.fc12.i686


How reproducible:

Try to connect to eduroam with nm-applet or knetworkmanager.

Steps to Reproduce:
1. Try to connect to ssid eduroam
  
Actual results:
Connection fails.

Expected results:
Successful connection.

Additional info:
The problem goes away if the following is added to /etc/sysconfig/wpa_supplicant

# fix timeout issues
MAX_WPA_PIDFILE_WAIT=10
export MAX_WPA_PIDFILE_WAIT

(the export line is probably redundant)
The default timeout seems to be 5 which is too short for a system where the authentication is federated back to your home institution which can be in another country.
Comment 1 Roy Dragseth 2010-06-15 04:52:07 EDT
Please ignore this proposed bug fix.  It seems like the MAX_WPA_PIDFILE_WAIT fix was debian specific and is now even removed from the debian setup.


http://lists.alioth.debian.org/pipermail/pkg-wpa-devel/2010-May/002669.html

I'm still investigating this problem.  

r.
Comment 2 Bug Zapper 2010-07-30 08:05:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2012-08-16 13:55:59 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.